## Payment Lib

Payment Lib package lets you add UI Template for Payment Method, Payment Summary, Payment Instructions to your Flutter app.

## 🎖 Installing

```yaml
dependencies:
  payment_lib: ^0.0.2
```

### ⚡️ Import

```dart
import 'package:payment_lib/payment_lib.dart';
```

## 🎮 How To Use

- Payment Method

```dart
body: PaymentMethodListView(
        paymentMethod: paymentMethodList,
        selectPaymentMethod: selectPaymentMethod,
        onTap: () => Navigator.of(context).push(MaterialPageRoute(
            builder: (context) => const PaymentSummaryPage())),
      ),
```

```dart
body: SafeArea(
        child: ValueListenableBuilder(
          valueListenable: selectPaymentMethod,
          builder: (context, _, __) => Column(
            children: [
              Expanded(
                child: ListView.builder(
                  itemCount: paymentMethodList.length,
                  itemBuilder: (context, i) => PaymentMethodCard(
                    selectPaymentMethod: selectPaymentMethod,
                    categoryName: paymentMethodList[i].paymentTypes.name,
                    payments: paymentMethodList[i].payments,
                    onChanged: (id) {
                      selectPaymentMethod.value = id!;

                    },
                  ),
                ),
              ),
              if (selectPaymentMethod.value != null)
                SizedBox(
                  width: double.infinity,
                  child: Card(
                    margin: EdgeInsets.zero,
                    child: Padding(
                      padding: const EdgeInsets.all(8.0),
                      child: ElevatedButton(
                        style: ElevatedButton.styleFrom(
                            minimumSize: const Size(double.infinity, 45)),
                        onPressed: () {},
                        child: Text("Pilih",
                            style: Theme.of(context)
                                .textTheme
                                .button!
                                .copyWith(color: Colors.white)),
                      ),
                    ),
                  ),
                )
            ],
          ),
        ),
      ),
```
- Payment Summary

```dart
body: PaymentSummaryCard(
        paymentSummaryType: PaymentSummaryType.one,
        paymentSummaryModel: paymentSummaryDataDummy,
        paymentDetail: true,
        onTapPaymentDetail: (){},
      ),
```

- Payment Instructions

```dart
PaymentInstructionCard(
            paymentIntruction: paymentSummaryModel.paymentIntructions,
          ),
```
## 🐛 Bugs/Requests

If you encounter any problems feel free to open an issue. If you feel the library is
missing a feature, please raise a ticket on Gitlab and I'll look into it.

### ❗️ Note

For help getting started with Flutter, view our online
[documentation](https://flutter.io/).

For help on editing plugin code, view the [documentation](https://flutter.io/platform-plugins/#edit-code).

## ☀️ Authors

<table>
  <tr>
    <td align="center">
      <a href = "https://zianfahrudy.my.id/"><img src="https://media-exp1.licdn.com/dms/image/C5603AQExw-8zWVQbtA/profile-displayphoto-shrink_200_200/0/1607501306947?e=1642636800&v=beta&t=I1mH1KOqmJ-WcLJLnnSMAXyRc9qMmznvyRrgDRl7Sk0" width="72" alt="Zian Fahrudy" /></a>
      <p align="center">
        <a href = "https://github.com/ZianFahrudy"><img src = "http://www.iconninja.com/files/241/825/211/round-collaboration-social-github-code-circle-network-icon.svg" width="18" height = "18"/></a>
        <a href = "https://twitter.com/zianfahrudy"><img src = "https://www.shareicon.net/download/2016/07/06/107115_media.svg" width="18" height="18"/></a>
        <a href = "https://www.linkedin.com/in/zian-fahrudy-969228163/"><img src = "http://www.iconninja.com/files/863/607/751/network-linkedin-social-connection-circular-circle-media-icon.svg" width="18" height="18"/></a>
      </p>
    </td>
  </tr> 
</table>