import 'package:flutter/material.dart';

import 'package:payment_lib/payment_lib.dart';

class PaymentSummaryPage extends StatelessWidget {
  const PaymentSummaryPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(),
      body: PaymentSummaryCard(
        paymentSummaryType: PaymentSummaryType.one,
        paymentSummaryModel: paymentSummaryDataDummy,
        paymentDetail: true,
        onTapPaymentDetail: () {},
      ),
    );
  }
}

class PaymentSummaryModel {
  final String id;
  final String invoiceNumber;
  final String deadline;
  final String iconUrl;
  final String bankName;
  final String accountNumber;
  final int totalBill;
  final String className;
  final List<PaymentIntructionModel> paymentIntructions;
  PaymentSummaryModel({
    required this.id,
    required this.invoiceNumber,
    required this.deadline,
    required this.bankName,
    required this.iconUrl,
    required this.accountNumber,
    required this.totalBill,
    required this.paymentIntructions,
    required this.className,
  });
}

final paymentSummaryDataDummy = PaymentSummaryModel(
  id: '98f086407-1096-4d21-a3cf-b873a4754240',
  invoiceNumber: '#MJSN20210353',
  iconUrl:
      'https://upload.wikimedia.org/wikipedia/commons/thumb/5/5c/Bank_Central_Asia.svg/2560px-Bank_Central_Asia.svg.png',
  deadline: '7 Oktober 2021, Pukul 10:00',
  bankName: 'BCA Virtual Account',
  className: 'Basic Gitar Electric',
  accountNumber: '0123456789012345',
  totalBill: 1000000,
  paymentIntructions: paymentIntructionList,
);

//! Dummy Model
class PaymentIntructionModel {
  PaymentIntructionModel({required this.title, required this.instruction});
  final String title;
  final String instruction;
}

//! Dummy Data
List<PaymentIntructionModel> paymentIntructionList = [
  PaymentIntructionModel(
    title: 'ATM BCA',
    instruction:
        '<li>1. Pilih pembayaran melalui GO-PAY.</li><li>2. Aplikasi <strong>GO-JEK</strong> Anda akan terbuka.</li><li>3. Lihat detail pembayaran pada aplikasi GO-JEK Anda dan tekan Pay.</li><li>4. Masukkan nomor pin GO-PAY Anda.</li><li>5. Pembayaran dengan menggunakan GO-PAY selesai.',
  ),
  PaymentIntructionModel(
    title: 'm-BCA',
    instruction:
        '<li>1. Pilih pembayaran melalui GO-PAY.</li><li>2. Aplikasi GO-JEK Anda akan terbuka.</li><li>3. Lihat detail pembayaran pada aplikasi GO-JEK Anda dan tekan Pay.</li><li>4. Masukkan nomor pin GO-PAY Anda.</li><li>5. Pembayaran dengan <strong>menggunakan GO-PAY</strong> selesai.',
  ),
  PaymentIntructionModel(
    title: 'Kantor Bank BCA',
    instruction:
        '<li>1. Pilih pembayaran melalui GO-PAY.</li><li>2. Aplikasi GO-JEK Anda akan terbuka.</li><li>3. Lihat detail <strong>pembayaran pada aplikasi GO-JEK</strong> Anda dan tekan Pay.</li><li>4. Masukkan nomor pin GO-PAY Anda.</li><li>5. Pembayaran dengan menggunakan GO-PAY selesai.',
  ),
];
