// ignore_for_file: lines_longer_than_80_chars

import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';

class PaymentInstructionCard extends StatelessWidget {
  const PaymentInstructionCard({
    Key? key,
    required this.paymentIntruction,
  }) : super(key: key);

  final List<dynamic> paymentIntruction;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: List.generate(
        paymentIntruction.length,
        (i) => ExpansionTile(
          tilePadding: const EdgeInsets.symmetric(horizontal: 20),
          title: Text(paymentIntruction[i].title),
          collapsedBackgroundColor: Theme.of(context).colorScheme.surface,
          backgroundColor: Theme.of(context).colorScheme.surface,
          expandedCrossAxisAlignment: CrossAxisAlignment.stretch,
          childrenPadding: const EdgeInsets.symmetric(horizontal: 20),
          children: [
            Html(
              data: paymentIntruction[i].instruction,
              style: {
                "body": Style(
                  padding: EdgeInsets.zero,
                  margin: const EdgeInsets.only(bottom: 20),
                ),
                "p": Style(
                  fontSize: const FontSize(14),
                  lineHeight: LineHeight.number(1.3),
                ),
                "li": Style(
                  fontSize: const FontSize(14),
                  lineHeight: LineHeight.number(1.3),
                )
              },
            ),
          ],
        ),
      ),
    );
  }
}
