import 'package:flutter/material.dart';
import 'package:get/get.dart';

class PaymentMethodItem extends StatelessWidget {
  const PaymentMethodItem({
    Key? key,
    required this.paymentMethodModel,
    required this.selectPaymentMethod,
    this.onChanged,
  }) : super(key: key);

  final dynamic paymentMethodModel;
  final Function(String?)? onChanged;
  final ValueNotifier<String?> selectPaymentMethod;
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.all(15),
      decoration: BoxDecoration(
        border: selectPaymentMethod.value == paymentMethodModel.id
            ? Border.all(
                color: Get.isDarkMode
                    ? Theme.of(context).primaryColorLight
                    : Theme.of(context).primaryColor)
            : Border.all(color: Colors.transparent),
      ),
      child: Row(
        children: [
          const SizedBox(width: 5),
          Image.network(
            paymentMethodModel.iconUrl,
            width: 50,
            height: 50,
            fit: BoxFit.contain,
          ),
          const SizedBox(width: 10),
          Expanded(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(paymentMethodModel.name,
                    style: Theme.of(context).textTheme.bodyText2),
                Text(paymentMethodModel.description,
                    style: Theme.of(context).textTheme.caption),
              ],
            ),
          ),
          Radio<String>(
            value: paymentMethodModel.id,
            groupValue: selectPaymentMethod.value,
            onChanged: onChanged,
            activeColor: Get.isDarkMode
                ? Theme.of(context).primaryColorLight
                : Theme.of(context).primaryColor,
          ),
        ],
      ),
    );
  }
}
