import 'package:fluentui_system_icons/fluentui_system_icons.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:payment_lib/src/payment_summary/timer_countdown.dart';

class DeadlineCard extends StatelessWidget {
  const DeadlineCard(
      {Key? key,
      required this.deadline,
      required this.endTimeRemaining,
      this.onEndRemainingTime})
      : super(key: key);

  final String deadline;
  final DateTime endTimeRemaining;
  final Function()? onEndRemainingTime;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.symmetric(vertical: 20),
      color: Theme.of(context).colorScheme.surface,
      width: double.infinity,
      child: Column(
        children: [
          CircleAvatar(
            backgroundColor: Theme.of(context).primaryColor.withOpacity(0.5),
            radius: 77,
            child: Icon(
              FluentIcons.payment_24_filled,
              color: Theme.of(context).primaryColor,
              size: 85,
            ),
          ),
          Padding(
              padding: const EdgeInsets.only(top: 17, bottom: 5),
              child: Text(
                  Get.locale == null
                      ? 'Lakukan pembayaran sebelum :'
                      : Get.locale == const Locale('id')
                          ? 'Lakukan pembayaran sebelum :'
                          : 'Make a payment berfore :',
                  style: Theme.of(context).textTheme.subtitle2)),

          Text(deadline,
              style: Theme.of(context).textTheme.subtitle2!.copyWith(
                  fontWeight: FontWeight.w600,
                  color: Get.isDarkMode
                      ? Theme.of(context).primaryColorLight
                      : Theme.of(context).primaryColor)),
          Padding(
            padding: const EdgeInsets.only(top: 25, bottom: 5),
            child: Text(
                Get.locale == null
                    ? 'Sisa waktu :'
                    : Get.locale == const Locale('id')
                        ? 'Sisa waktu :'
                        : 'Remaining time',
                style: Theme.of(context).textTheme.subtitle2),
          ),
          TimerCountdown(
            enableDescriptions: false,
            colonsTextStyle: const TextStyle(
                color: Colors.red, fontSize: 15, fontWeight: FontWeight.bold),
            timeTextStyle: const TextStyle(
                color: Colors.red, fontSize: 15, fontWeight: FontWeight.bold),
            spacerWidth: 3,
            format: CountDownTimerFormat.hoursMinutesSeconds,
            endTime: endTimeRemaining,
            onEnd: onEndRemainingTime,
          ),
          // Text(time,
          //     style: Theme.of(context).textTheme.subtitle1!.copyWith(
          //         fontWeight: FontWeight.w600,
          //         color: Theme.of(context).errorColor)),
        ],
      ),
    );
  }
}
