import 'package:flutter/material.dart';

class LabelValueCol extends StatelessWidget {
  const LabelValueCol({
    Key? key,
    required this.label,
    required this.value,
    this.crossAxisAlignment = CrossAxisAlignment.start,
    this.labelStyle,
    this.valueStyle,
  }) : super(key: key);

  final String label;
  final String value;
  final TextStyle? labelStyle;
  final TextStyle? valueStyle;
  final CrossAxisAlignment crossAxisAlignment;

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: crossAxisAlignment,
      children: [
        Text(
          label,
          style: labelStyle ??
              Theme.of(context).textTheme.bodyText1!.copyWith(
                  color: Colors.grey[300], fontWeight: FontWeight.w400),
        ),
        Text(
          value,
          style: valueStyle ?? Theme.of(context).textTheme.bodyText1,
        ),
      ],
    );
  }
}
