import 'package:fluentui_system_icons/fluentui_system_icons.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class PaymentDetailCard extends StatelessWidget {
  const PaymentDetailCard({
    Key? key,
    this.onTap,
  }) : super(key: key);

  final Function()? onTap;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      child: Container(
        padding: const EdgeInsets.symmetric(horizontal: 20, vertical: 11),
        color: Theme.of(context).colorScheme.surface,
        child: Column(
          children: [
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                Text(
                  Get.locale == null
                      ? 'Rincian Pembayaran'
                      : Get.locale == const Locale('id')
                          ? 'Rincian Pembayaran'
                          : 'Payment Detail',
                  style: Theme.of(context).textTheme.subtitle2!.copyWith(
                      fontWeight: FontWeight.bold,
                      color: Get.isDarkMode
                          ? Theme.of(context).primaryColorLight
                          : Theme.of(context).primaryColor),
                ),
                const Icon(FluentIcons.arrow_right_20_regular)
              ],
            ),
          ],
        ),
      ),
    );
  }
}
