import 'package:flutter/material.dart';
import 'package:payment_lib/src/payment_summary/payment_summary_type_one.dart';
import 'package:payment_lib/src/payment_summary/payment_summary_type_two.dart';

enum PaymentSummaryType { one, two }

class PaymentSummaryCard extends StatelessWidget {
  const PaymentSummaryCard({
    Key? key,
    required this.paymentSummaryModel,
    this.paymentDetail = false,
    this.onTapPaymentDetail,
    this.paymentSummaryType = PaymentSummaryType.one,
  }) : super(key: key);

  final dynamic paymentSummaryModel;
  final bool paymentDetail;
  final Function()? onTapPaymentDetail;
  final PaymentSummaryType paymentSummaryType;

  @override
  Widget build(BuildContext context) {
    if (paymentSummaryType == PaymentSummaryType.one) {
      return PaymentSummaryTypeOne(
        paymentSummaryModel: paymentSummaryModel,
        onTapPaymentDetail: onTapPaymentDetail,
        paymentDetail: paymentDetail,
      );
    } else {
      return PaymentSummaryTypeTwo(
        paymentSummaryModel: paymentSummaryModel,
      );
    }
  }
}
